Package weka.gui.treevisualizer

# Class Messages

java.lang.Object
weka.gui.treevisualizer.Messages

public class Messages extends Object
Messages.

Version:
  $Revision: 7059 $
Author:
  shingo.yamagami@ksk-sol.jp

## Constructor Summary

Constructors
Constructor
Description
`Messages()`

## Method Summary

Modifier and Type
Method
Description
`static Messages`
`getInstance()`
getInstance.
`static String`
`getString(String key)`
getString.
`static String`
`getString(String key, Locale locale)`
getString.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Messages

public Messages()

## Method Details

### getInstance

public static Messages getInstance()
getInstance.

Returns:

### getString

public static String getString(String key)
getString.

Parameters:
  `key` -
Returns:

### getString

public static String getString(String key, Locale locale)
getString.

Parameters:
  `key` -
  `locale` -
Returns: